Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000061Bananian Linux[All Projects] Hardwarepublic2014-11-14 01:522014-12-04 08:44
Reporterguest 
Assigned ToNico 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version14.09 
Target Version14.11Fixed in Version14.11 
Summary0000061: Banana Pi will not power on after upgrade / clean flash to 14.09
Description- System was booting bananian one time with rev. 14.09 after using the poweroff command one time
14.09 NEVER booted again (not as an upgrade install and clean flash too).
- Flashing 14.08 or Raspbian works fine
- and YES i use the correct power in port , cause OTG is enabled by default now.
Steps To Reproduce- lowlevel fortmat SDHC Class 10 SDFormatter
- download latest image - check checksum
- flash with Win32DiskImager
- insert in slot - try to power on device

- red light is on
- green light is on
- system shuts down directly - no boot action
- same as using the pwr button

- raspbian and 14.08 boots fine
TagsNo tags attached.
Attached Files

- Relationships
related to 0000065resolvedNico Device does not boot 
related to 0000068resolvedNico disable OTG in default configuration 

-  Notes
(0000079)
Nico (manager)
2014-11-14 06:23

Could you please attach a picture of your Banana Pi and the serial output?
If you don't have a UART TTL cable the display output would also help, if there is any.

Are you interested in testing the new kernel before release?
(0000080)
guest (viewer)
2014-11-14 10:52
edited on: 2014-11-14 11:37

I guess it must be an issue with the flex file... ?!? Some users in Forum has reported similar problems. The enabled OTG maybe - even if the PWR cord of a 2A+ Powersupply is connectet to the right input. Have no TTL cable - will see if there is any hdmi output at all...

(0000082)
guest (viewer)
2014-11-14 17:08

clean flash here 1 time with linux, 1 time with windows win32diskImager

bananapi will not boot, yellow light stays on 4s then 1s out and so on.

cant provide any further information, dont have an hdmi cable, normaly using SSH, but device never gets into the network...
(0000083)
guest (viewer)
2014-11-14 17:41

can you please drop me a mail?
See https://www.bananian.org/contact [^] for contact details.
(0000084)
guest (viewer)
2014-11-14 18:03

No HDMI Screen Output at all - Red LED ON solid, then Green LED on Solid - both stay on approx. 4-5 sec. then system powers off (clean Flash of bananian latest - 16 GB Class 10 - PWR in is connectet near SATA).
(0000085)
Nico (manager)
2014-11-15 08:29

The new 14.09.02 release will not be published before this bug is resolved.
Seems to be related to our OTG configuration but tests are still running.

I will post the final resolution here.
(0000087)
Nico (manager)
2014-11-19 06:51

The error was found and the bugfix is confirmed as working.

It was just a small bug in our fex (script.bin) configuration.
See: https://github.com/Bananian/fex/commit/89ddc2c922c241ed3f174e3bec778ccb48c6b4a6 [^]

Bananian 14.09.02 will be released soon including the fix.

Thank you for debugging and testing!

- Issue History
Date Modified Username Field Change
2014-11-14 01:52 guest New Issue
2014-11-14 06:23 Nico Note Added: 0000079
2014-11-14 10:52 guest Note Added: 0000080
2014-11-14 11:37 guest Note Edited: 0000080 View Revisions
2014-11-14 17:08 guest Note Added: 0000082
2014-11-14 17:41 guest Note Added: 0000083
2014-11-14 18:03 guest Note Added: 0000084
2014-11-14 19:12 Nico Assigned To => Nico
2014-11-14 19:12 Nico Status new => assigned
2014-11-15 08:28 Nico Target Version => 14.11
2014-11-15 08:29 Nico Note Added: 0000085
2014-11-19 06:51 Nico Note Added: 0000087
2014-11-19 06:52 Nico Status assigned => resolved
2014-11-19 06:52 Nico Resolution open => fixed
2014-11-19 10:41 Nico Fixed in Version => 14.11
2014-11-26 06:31 Nico Relationship added related to 0000065
2014-12-04 08:44 Nico Relationship added related to 0000068


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker